Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
pdumodel::PowerMeter::EnergyPulseSettingsChangedEvent Struct Reference

Event: Energy LED pulse settings have changed. More...

`import <PowerMeter.idl;`

Inheritance diagram for pdumodel::PowerMeter::EnergyPulseSettingsChangedEvent:

## Public Attributes
EnergyPulseSettings | oldSettings
EnergyPulseSettings | newSettings
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: Energy LED pulse settings have changed.

Definition at line 129 of file PowerMeter.idl.

## Member Data Documentation

## ◆ newSettings

EnergyPulseSettings pdumodel::PowerMeter::EnergyPulseSettingsChangedEvent::newSettings

Definition at line 131 of file PowerMeter.idl.

## ◆ oldSettings

EnergyPulseSettings pdumodel::PowerMeter::EnergyPulseSettingsChangedEvent::oldSettings

Definition at line 130 of file PowerMeter.idl.

The documentation for this struct was generated from the following file:

- PowerMeter.idl